"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
exports.ApolloClientsContext = react_1.createContext(null);
class ApolloClientsManager {
    constructor(clients) {
        this.clients = clients;
    }
    getClient(key = 'default') {
        return this.clients[key];
    }
    extract() {
        const result = {};
        for (let [key, value] of Object.entries(this.clients)) {
            result[key] = value.extract();
        }
        return result;
    }
}
exports.ApolloClientsManager = ApolloClientsManager;
function useContextApolloClient(clientOrName) {
    const apolloClientsContext = react_1.useContext(exports.ApolloClientsContext);
    if (!clientOrName) {
        return apolloClientsContext.getClient();
    }
    else if (typeof clientOrName === 'string') {
        return apolloClientsContext.getClient(clientOrName);
    }
    else {
        return clientOrName;
    }
}
exports.useContextApolloClient = useContextApolloClient;
//# sourceMappingURL=ApolloClientsContext.js.map