import { DependencyList } from 'react';
import { IGraphqlQueryStoreParams } from '@proscom/prostore-apollo/lib/GraphqlQueryStore';
import { ApolloClient } from 'apollo-client';
export interface IUseGraphqlQueryParams<Vars, Data> {
    client?: string | ApolloClient<any>;
    queryOptions?: IGraphqlQueryStoreParams<Vars, Data>;
    variables?: Vars;
}
export declare function useGraphqlQuery<Vars, Data>({ client, queryOptions, variables }: IUseGraphqlQueryParams<Vars, Data>): import("@proscom/prostore-react/lib/useRequestStore").UseRequestStoreResult<import("@proscom/prostore/lib/RequestStore").IRequestState<Vars, Data>>;
export interface IUseGraphQueryVarsParams<Vars, Data> extends IUseGraphqlQueryParams<Vars, Data> {
    variableCreator: [() => Vars, DependencyList];
}
export declare function useGraphqlQueryVars<Vars, Data>({ variableCreator, ...queryProps }: IUseGraphQueryVarsParams<Vars, Data>): import("@proscom/prostore-react/lib/useRequestStore").UseRequestStoreResult<import("@proscom/prostore/lib/RequestStore").IRequestState<Vars, Data>>;
