"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const GraphqlWatchQueryStore_1 = require("@proscom/prostore-apollo/lib/GraphqlWatchQueryStore");
const useRequestStore_1 = require("@proscom/prostore-react/lib/useRequestStore");
const ApolloClientsContext_1 = require("./ApolloClientsContext");
/**
 * Создает graphql watchQuery и подписывается на него
 * @param client - Apollo Client instance
 * @param queryOptions - Параметры запроса
 * @param variables - Переменные запроса
 * @returns {{load, check, state}} - Состояние запроса
 */
function useGraphqlWatchQuery({ client, queryOptions, variables }) {
    const actualClient = ApolloClientsContext_1.useContextApolloClient(client);
    const store = react_1.useMemo(() => new GraphqlWatchQueryStore_1.GraphqlWatchQueryStore(Object.assign({ client: actualClient }, queryOptions)), [actualClient, queryOptions]);
    return useRequestStore_1.useRequestStore(store, variables);
}
exports.useGraphqlWatchQuery = useGraphqlWatchQuery;
function useGraphqlWatchQueryVars(_a) {
    var { variableCreator } = _a, queryProps = __rest(_a, ["variableCreator"]);
    const variables = react_1.useMemo(...variableCreator);
    return useGraphqlWatchQuery(Object.assign({}, queryProps, { variables }));
}
exports.useGraphqlWatchQueryVars = useGraphqlWatchQueryVars;
//# sourceMappingURL=useGraphqlWatchQuery.js.map